tests: increase (compile) timeout multiplier for T13701 and MultiLayerModules
ClosedPublic

Authored by alpmestan on Aug 24 2018, 6:52 AM.

Details

Summary

Those tests are currently making our i386 validation fail on CircleCI:

https://circleci.com/gh/ghc/ghc/8827
Test Plan

Using my Phab<->CircleCI bridge to run i386 validation for this diff.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
alpmestan created this revision.Aug 24 2018, 6:52 AM

https://phabricator.haskell.org/harbormaster/build/52223/

We'll eventually get the CircleCI build log url and more.

alpmestan planned changes to this revision.Aug 24 2018, 9:47 AM

https://circleci.com/gh/ghc/ghc-diffs/256#build-parameters/containers/0: MultiLayerModules passed but another one is failing, and T13701 is still not passing.

Unexpected failures:
   backpack/cabal/bkpcabal01/bkpcabal01.run  bkpcabal01 [bad exit code] (normal)
   perf/compiler/T13701.run                  T13701 [exit code non-0] (normal)
alpmestan updated this revision to Diff 17815.Aug 27 2018, 6:27 AM
  • tweak timeout multipliers for bkpcabal01 and T13701(again)

I made some more tweaks and triggered a new Circle CI build for i386: https://phabricator.haskell.org/harbormaster/build/52342/

alpmestan updated this revision to Diff 17830.Aug 27 2018, 12:55 PM
  • bigger multiplier for MultiLayerModules

Only T3171 left to fix (https://circleci.com/gh/ghc/ghc-diffs/270)

Actual stdout output differs from expected:
--- ghci/should_run/T3171.run/T3171.stdout.normalised	2018-08-27 19:35:45.962886448 +0000
+++ ghci/should_run/T3171.run/T3171.run.stdout.normalised	2018-08-27 19:35:45.962886448 +0000
@@ -1 +0,0 @@
-Interrupted.
*** unexpected failure for T3171(normal)

Tracked in https://ghc.haskell.org/trac/ghc/ticket/15383.

alpmestan updated the Trac tickets for this revision.Aug 27 2018, 3:35 PM
monoidal accepted this revision.Sep 14 2018, 7:00 AM
This revision is now accepted and ready to land.Sep 14 2018, 7:00 AM
This revision was automatically updated to reflect the committed changes.